#jinja2: trim_blocks: True, lstrip_blocks: True
{# --- NGINX Main Configuration ---

 # the keep-alive timeout
 nginx_keepalive_timeout: int | d(65)
-#}
{{ ansible_managed | comment }}

user {{ nginx_runas_user }} {{ nginx_runas_group }};
pid /run/nginx.pid;
worker_processes auto;
worker_rlimit_nofile 2048;

events {
    worker_connections 2048;
    multi_accept on;
    use epoll;
}

http {
    log_format main '$remote_addr - $remote_user [$time_local] "$http_host" "$request" '
                    '$status $body_bytes_sent "$http_referer" '
                    '"$http_user_agent" "$http_x_forwarded_for"';

    sendfile on;
    tcp_nodelay on;
    tcp_nopush on;
    types_hash_max_size 2048;
    keepalive_timeout {{ item.nginx_keepalive_timeout | d(nginx_keepalive_timeout) | d(65) }};
    server_tokens off;

    include {{ nginx_conf_d }}/mime.types;
    default_type application/octet-stream;

    access_log {{ nginx_log_d }}/access.log main;
    error_log {{ nginx_log_d }}/error.log warn;

    include {{ nginx_conf_d }}/upstream.d/*.conf;
    include {{ nginx_conf_d }}/conf.d/*.conf;
    include {{ nginx_conf_d }}/vhost.d/*.conf;
}
